    Program x04adfe

!     X04ADF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: x04acf, x04adf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: iounit = 4, nout = 6
      Character (*), Parameter         :: fname = 'x04adfe_success.res'
!     .. Local Scalars ..
      Integer                          :: ifail
!     .. Executable Statements ..
      Write (nout,*) 'X04ADF Example Program Results'

!     Test successful open and close for write

      ifail = 0
      Call x04acf(iounit,fname,1,ifail)

      Write (nout,99999)
      Write (iounit,99999)

      ifail = 0
      Call x04adf(iounit,ifail)

      Write (nout,99998)

!     Test successful open and close for read

      ifail = 0
      Call x04acf(iounit,fname,0,ifail)

      Write (nout,99997)

      ifail = 0
      Call x04adf(iounit,ifail)

      Write (nout,99998)

99999 Format (' OK file successfully opened for writing')
99998 Format (' OK file successfully closed')
99997 Format (' OK file successfully opened for reading')
    End Program x04adfe
